stages:
  - "build"

build-linux:
  stage: "build"
  needs: []
  tags:
    - "linux"
  image: "conanio/clang10:1.54.0"
  script:
    - "conan install . -s build_type=Release --build missing --install-folder=build"
    - "cmake -B build -S . -DCMAKE_TOOLCHAIN_FILE=build/conan_toolchain.cmake -DCMAKE_BUILD_TYPE=Release"
    - "cmake --build build --config Release"
    - "mv ./build/bin/serverFrutibandas ./serverFrutibandas"
  artifacts:
    paths:
      - "serverFrutibandas"

